wxWidgets: wxPageSetupDialogData Class Reference

| Version: 3.2.2

Public Member Functions | List of all members
wxPageSetupDialogData Class Reference
Class List by Category » Printing Framework | Class List by Category » Data Structures

`#include <wx/cmndata.h>`

Inheritance diagram for wxPageSetupDialogData:
[legend]

## Detailed Description

This class holds a variety of information related to wxPageSetupDialog.

It contains a wxPrintData member which is used to hold basic printer configuration data (as opposed to the user-interface configuration settings stored by wxPageSetupDialogData).

##

Library: wxCore
Category: Printing Framework, Data Structures

See also
  Printing Framework Overview, wxPageSetupDialog

## Public Member Functions
| wxPageSetupDialogData ()
| Default constructor. More...
| wxPageSetupDialogData (const wxPageSetupDialogData &data)
| Copy constructor. More...
| wxPageSetupDialogData (const wxPrintData &printData)
| Construct an object from a print data object. More...
virtual | ~wxPageSetupDialogData ()
| Destructor. More...
void | EnableHelp (bool flag)
| Enables or disables the "Help" button (Windows only). More...
void | EnableMargins (bool flag)
| Enables or disables the margin controls (Windows only). More...
void | EnableOrientation (bool flag)
| Enables or disables the orientation control (Windows only). More...
void | EnablePaper (bool flag)
| Enables or disables the paper size control (Windows only). More...
void | EnablePrinter (bool flag)
| Enables or disables the "Printer" button, which invokes a printer setup dialog. More...
bool | GetDefaultInfo () const
| Returns true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only). More...
bool | GetDefaultMinMargins () const
| Returns true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only). More...
bool | GetEnableHelp () const
| Returns true if the printer setup button is enabled. More...
bool | GetEnableMargins () const
| Returns true if the margin controls are enabled (Windows only). More...
bool | GetEnableOrientation () const
| Returns true if the orientation control is enabled (Windows only). More...
bool | GetEnablePaper () const
| Returns true if the paper size control is enabled (Windows only). More...
bool | GetEnablePrinter () const
| Returns true if the printer setup button is enabled. More...
wxPoint | GetMarginBottomRight () const
| Returns the right (x) and bottom (y) margins in millimetres. More...
wxPoint | GetMarginTopLeft () const
| Returns the left (x) and top (y) margins in millimetres. More...
wxPoint | GetMinMarginBottomRight () const
| Returns the right (x) and bottom (y) minimum margins the user can enter (Windows only). More...
wxPoint | GetMinMarginTopLeft () const
| Returns the left (x) and top (y) minimum margins the user can enter (Windows only). More...
wxPaperSize | GetPaperId () const
| Returns the paper id (stored in the internal wxPrintData object). More...
wxSize | GetPaperSize () const
| Returns the paper size in millimetres. More...
wxPrintData & | GetPrintData ()
| Returns a reference to the print data associated with this object. More...
const wxPrintData & | GetPrintData () const
bool | IsOk () const
| Returns true if the print data associated with the dialog data is valid. More...
void | SetDefaultInfo (bool flag)
| Pass true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only). More...
void | SetDefaultMinMargins (bool flag)
| Pass true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only). More...
void | SetMarginBottomRight (const wxPoint &pt)
| Sets the right (x) and bottom (y) margins in millimetres. More...
void | SetMarginTopLeft (const wxPoint &pt)
| Sets the left (x) and top (y) margins in millimetres. More...
void | SetMinMarginBottomRight (const wxPoint &pt)
| Sets the right (x) and bottom (y) minimum margins the user can enter (Windows only). More...
void | SetMinMarginTopLeft (const wxPoint &pt)
| Sets the left (x) and top (y) minimum margins the user can enter (Windows only). More...
void | SetPaperId (wxPaperSize id)
| Sets the paper size id. More...
void | SetPaperSize (const wxSize &size)
| Sets the paper size in millimetres. More...
void | SetPrintData (const wxPrintData &printData)
| Sets the print data associated with this object. More...
wxPageSetupDialogData & | operator= (const wxPrintData &data)
| Assigns print data to this object. More...
wxPageSetupDialogData & | operator= (const wxPageSetupDialogData &data)
| Assigns page setup data to this object. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPageSetupDialogData() [1/3]

wxPageSetupDialogData::wxPageSetupDialogData | ( |  | ) |

Default constructor.

## ◆ wxPageSetupDialogData() [2/3]

wxPageSetupDialogData::wxPageSetupDialogData | ( | const wxPageSetupDialogData & | data | ) |

Copy constructor.

## ◆ wxPageSetupDialogData() [3/3]

wxPageSetupDialogData::wxPageSetupDialogData | ( | const wxPrintData & | printData | ) |

Construct an object from a print data object.

## ◆ ~wxPageSetupDialogData()

virtual wxPageSetupDialogData::~wxPageSetupDialogData | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ EnableHelp()

void wxPageSetupDialogData::EnableHelp | ( | bool | flag | ) |

Enables or disables the "Help" button (Windows only).

## ◆ EnableMargins()

void wxPageSetupDialogData::EnableMargins | ( | bool | flag | ) |

Enables or disables the margin controls (Windows only).

## ◆ EnableOrientation()

void wxPageSetupDialogData::EnableOrientation | ( | bool | flag | ) |

Enables or disables the orientation control (Windows only).

## ◆ EnablePaper()

void wxPageSetupDialogData::EnablePaper | ( | bool | flag | ) |

Enables or disables the paper size control (Windows only).

## ◆ EnablePrinter()

void wxPageSetupDialogData::EnablePrinter | ( | bool | flag | ) |

Enables or disables the "Printer" button, which invokes a printer setup dialog.

## ◆ GetDefaultInfo()

bool wxPageSetupDialogData::GetDefaultInfo | ( |  | ) | const

Returns true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only).

## ◆ GetDefaultMinMargins()

bool wxPageSetupDialogData::GetDefaultMinMargins | ( |  | ) | const

Returns true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only).

## ◆ GetEnableHelp()

bool wxPageSetupDialogData::GetEnableHelp | ( |  | ) | const

Returns true if the printer setup button is enabled.

## ◆ GetEnableMargins()

bool wxPageSetupDialogData::GetEnableMargins | ( |  | ) | const

Returns true if the margin controls are enabled (Windows only).

## ◆ GetEnableOrientation()

bool wxPageSetupDialogData::GetEnableOrientation | ( |  | ) | const

Returns true if the orientation control is enabled (Windows only).

## ◆ GetEnablePaper()

bool wxPageSetupDialogData::GetEnablePaper | ( |  | ) | const

Returns true if the paper size control is enabled (Windows only).

## ◆ GetEnablePrinter()

bool wxPageSetupDialogData::GetEnablePrinter | ( |  | ) | const

Returns true if the printer setup button is enabled.

## ◆ GetMarginBottomRight()

wxPoint wxPageSetupDialogData::GetMarginBottomRight | ( |  | ) | const

Returns the right (x) and bottom (y) margins in millimetres.

## ◆ GetMarginTopLeft()

wxPoint wxPageSetupDialogData::GetMarginTopLeft | ( |  | ) | const

Returns the left (x) and top (y) margins in millimetres.

## ◆ GetMinMarginBottomRight()

wxPoint wxPageSetupDialogData::GetMinMarginBottomRight | ( |  | ) | const

Returns the right (x) and bottom (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

## ◆ GetMinMarginTopLeft()

wxPoint wxPageSetupDialogData::GetMinMarginTopLeft | ( |  | ) | const

Returns the left (x) and top (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

## ◆ GetPaperId()

wxPaperSize wxPageSetupDialogData::GetPaperId | ( |  | ) | const

Returns the paper id (stored in the internal wxPrintData object).

See also
  wxPrintData::SetPaperId()

## ◆ GetPaperSize()

wxSize wxPageSetupDialogData::GetPaperSize | ( |  | ) | const

Returns the paper size in millimetres.

## ◆ GetPrintData() [1/2]

wxPrintData& wxPageSetupDialogData::GetPrintData | ( |  | ) |

Returns a reference to the print data associated with this object.

## ◆ GetPrintData() [2/2]

const wxPrintData& wxPageSetupDialogData::GetPrintData | ( |  | ) | const

## ◆ IsOk()

bool wxPageSetupDialogData::IsOk | ( |  | ) | const

Returns true if the print data associated with the dialog data is valid.

This can return false on Windows if the current printer is not set, for example. On all other platforms, it returns true.

## ◆ operator=() [1/2]

wxPageSetupDialogData& wxPageSetupDialogData::operator= | ( | const wxPageSetupDialogData & | data | ) |

Assigns page setup data to this object.

## ◆ operator=() [2/2]

wxPageSetupDialogData& wxPageSetupDialogData::operator= | ( | const wxPrintData & | data | ) |

Assigns print data to this object.

## ◆ SetDefaultInfo()

void wxPageSetupDialogData::SetDefaultInfo | ( | bool | flag | ) |

Pass true if the dialog will simply return default printer information (such as orientation) instead of showing a dialog (Windows only).

## ◆ SetDefaultMinMargins()

void wxPageSetupDialogData::SetDefaultMinMargins | ( | bool | flag | ) |

Pass true if the page setup dialog will take its minimum margin values from the currently selected printer properties (Windows only).

Units are in millimetres.

## ◆ SetMarginBottomRight()

void wxPageSetupDialogData::SetMarginBottomRight | ( | const wxPoint & | pt | ) |

Sets the right (x) and bottom (y) margins in millimetres.

## ◆ SetMarginTopLeft()

void wxPageSetupDialogData::SetMarginTopLeft | ( | const wxPoint & | pt | ) |

Sets the left (x) and top (y) margins in millimetres.

## ◆ SetMinMarginBottomRight()

void wxPageSetupDialogData::SetMinMarginBottomRight | ( | const wxPoint & | pt | ) |

Sets the right (x) and bottom (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

## ◆ SetMinMarginTopLeft()

void wxPageSetupDialogData::SetMinMarginTopLeft | ( | const wxPoint & | pt | ) |

Sets the left (x) and top (y) minimum margins the user can enter (Windows only).

Units are in millimetres.

## ◆ SetPaperId()

void wxPageSetupDialogData::SetPaperId | ( | wxPaperSize | id | ) |

Sets the paper size id.

Calling this function overrides the explicit paper dimensions passed in SetPaperSize().

See also
  wxPrintData::SetPaperId()

## ◆ SetPaperSize()

void wxPageSetupDialogData::SetPaperSize | ( | const wxSize & | size | ) |

Sets the paper size in millimetres.

If a corresponding paper id is found, it will be set in the internal wxPrintData object, otherwise the paper size overrides the paper id.

## ◆ SetPrintData()

void wxPageSetupDialogData::SetPrintData | ( | const wxPrintData & | printData | ) |

Sets the print data associated with this object.